var Common = require('./Common.js');

export default {

  /**
     * 通过GET方式调用SQL API
     * @param no 编号
     * @param data json 数据
     * @returns 
     */
  execute: function (no, data) {
    return new Promise((resolve, reject) => {
      $.ajax({
        type: 'get',
        url: Common.getApiURL('SqlApiResource/execute/' + no),
        data: data,
        beforeSend: function (request) {
          Common.addTokenToRequest(request);
        },
        success: function (data) {
          resolve(data);
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },
};