var path = require('path')
var webpack = require('webpack')
const WebpackMerge = require('webpack-merge')
const baseConfig = require('./webpack.base.js')

module.exports = WebpackMerge.merge(baseConfig, {
  mode: 'production',
  // 测试组件
  entry: './examples/main.js',
  output: {
    path: path.resolve(__dirname, './dist'),
    publicPath: '/dist/',
    filename: 'build.js'
  },
  devtool: 'source-map',
  plugins: (module.exports.plugins || []).concat([
    
    // new webpack.optimize.UglifyJsPlugin({
    //   sourceMap: true,
    //   compress: {
    //     warnings: false
    //   }
    // }),
    new webpack.LoaderOptionsPlugin({
      minimize: true
    })
  ])
});