var path = require('path')
var webpack = require('webpack')
const WebpackMerge = require('webpack-merge')
const baseConfig = require('./webpack.base.js')

module.exports = WebpackMerge.merge(baseConfig,{
  mode: 'production',
  // 发布组件
  entry: "./packages/index.js",
  output: {
    path: path.resolve(__dirname, './dist'),
    publicPath: '/dist/',
    filename: 'pc-component-v3.js',
    library: "pc-component-v3",
    libraryTarget: "umd",
    umdNamedDefine: true
  },
  devtool: 'source-map',
  plugins: (module.exports.plugins || []).concat([
   
    // new webpack.optimize.UglifyJsPlugin({
    //   sourceMap: true,
    //   compress: {
    //     warnings: false
    //   }
    // }),
    new webpack.LoaderOptionsPlugin({
      minimize: true
    })
  ])
});